/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#ifndef __MR_H
#define __MR_H
enum { l_310, l_311, l_312 };
class Mr {
friend class M;
int indexed;
M& data;
M idxr;
M idxc;
public:
Mr(M& l_57);
Mr(M& l_57, const M& index);
Mr(M& l_57, const M& l_284, const M& l_285);
~Mr();
int rows();
int cols();
int size();
int gettype();
void settype(int t);
char *getname();
double *addr();
double *addr(int row,int col);
double *addi();
double *addi(int row,int col);
void operator =(double val);
void operator =(const M& l_57);
void operator =(const Mr& l_57);
Mr operator ()(M& l_57);
Mr operator ()(M& l_266, M& l_267);
};
#endif
